Package ru.bitel.bgbilling.modules.gorod.server.bean

# Class Register

java.lang.Object
ru.bitel.bgbilling.modules.gorod.server.bean.Register

public class Register extends Object
Реестр добавлений и изменений

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_3`
  `static final int`
  `TYPE_7`
  `static final int`
  `TYPE_9`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Register()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Calendar`
  `getDate()`
  `int`
  `getFirmID()`
  Deprecated.
  `int`
  `getId()`
  `int`
  `getID()`
  Deprecated.
  `int`
  `getTagId()`
  `int`
  `getTagID()`
  Deprecated.
  `int`
  `getType()`
  `String`
  `getTypeString()`
  `void`
  `setDate(Calendar date)`
  `void`
  `setFirmID(int firmID)`
  Deprecated.
  `void`
  `setId(int id)`
  `void`
  `setID(int id)`
  Deprecated.
  `void`
  `setTagId(int tagId)`
  `void`
  `setTagID(int tagId)`
  Deprecated.
  `void`
  `setType(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_7

    public static final int TYPE_7
    See Also:
      - Constant Field Values

  - ### TYPE_3

    public static final int TYPE_3
    See Also:
      - Constant Field Values

  - ### TYPE_9

    public static final int TYPE_9
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Register

    public Register()

- ## Method Details

  - ### getDate

    public Calendar getDate()

  - ### setDate

    public void setDate(Calendar date)

  - ### getId

    public int getId()

  - ### getID

    @Deprecated public int getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setId

    public void setId(int id)

  - ### setID

    @Deprecated public void setID(int id)
    Deprecated.
    Использовать `setId(int)`.
    Parameters:
      `id` -

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getTypeString

    public String getTypeString()

  - ### getFirmID

    @Deprecated public int getFirmID()
    Deprecated.
    Не рекомендуется использовать
    Returns:

  - ### setFirmID

    @Deprecated public void setFirmID(int firmID)
    Deprecated.
    Не рекомендуется использовать
    Parameters:
      `firmID` -

  - ### getTagId

    public int getTagId()

  - ### getTagID

    @Deprecated public int getTagID()
    Deprecated.
    Использовать `getTagId()`.
    Returns:

  - ### setTagId

    public void setTagId(int tagId)

  - ### setTagID

    @Deprecated public void setTagID(int tagId)
    Deprecated.
    Использовать `setTagId(int)`.
    Parameters:
      `tagId` -